Create Manifest Diff For Space
Create a manifest diff for a space (experimental)
This endpoint returns a JSON representation of the difference between the provided manifest and the current state of a space.
Currently, this endpoint can only diff version 1 manifests.
Request
URI
POST
https://api.example.local/v3/spaces/{guid}/manifest_diff
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
Request Body
Responses
201
Accepted
Operation doesn't return any data structure
Response Headers
string
Location
URL of the job that is creating the manifest diff
202
Accepted
Operation doesn't return any data structure
Response Headers
string
Location
URL of the job that is creating the manifest diff
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
UnprocessableEntity
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/x-yaml' -d '[{}]' https://{api_host}/v3/spaces/{guid}/manifest_diff
On This Page
Spaces Operations
GET
List Spaces
POST
Create Space
GET
Get Space
PATCH
Update Space
DELETE
Delete Space
POST
Apply Manifest To Space
GET
List Space Features
GET
Get Space Feature
PATCH
Update Space Feature
POST
Create Manifest Diff For Space
GET
Get Assigned Isolation Segment For Space
PATCH
Manage Isolation Segment For Space
DELETE
Delete Unmapped Routes For Space
GET
List Running Security Groups For Space
GET
List Staging Security Groups For Space
GET
List Users For Space